Skip to main content
POST
/
api
/
v1
/
skills
Create Skill
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/skills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "description": "<string>",
  "icon": "Wrench",
  "enabled": true,
  "configuration": {
    "base_dir": "<string>",
    "enable_save_file": true,
    "enable_read_file": true,
    "enable_list_files": true,
    "enable_search_files": true,
    "allowed_commands": [
      "<string>"
    ],
    "blocked_commands": [
      "<string>"
    ],
    "timeout": 123,
    "enable_container_management": true,
    "enable_image_management": true,
    "enable_volume_management": true,
    "enable_network_management": true,
    "enable_code_execution": true,
    "allowed_imports": [
      "<string>"
    ],
    "blocked_imports": [
      "<string>"
    ],
    "enable_json_generation": true,
    "enable_csv_generation": true,
    "enable_pdf_generation": true,
    "enable_txt_generation": true,
    "output_directory": "<string>",
    "max_diagram_size": 123,
    "enable_flowchart": true,
    "enable_sequence": true,
    "enable_class_diagram": true,
    "enable_er_diagram": true,
    "enable_gantt": true,
    "enable_pie_chart": true,
    "enable_state_diagram": true,
    "enable_git_graph": true,
    "enable_user_journey": true,
    "enable_quadrant_chart": true,
    "workflow_type": "<string>",
    "workflow_definition": "<string>",
    "python_dsl_code": "<string>",
    "validation_enabled": true,
    "default_runner": "<string>",
    "custom_class": "<string>",
    "custom_config": {}
  }
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/skills"

payload = {
"name": "<string>",
"type": "<string>",
"description": "<string>",
"icon": "Wrench",
"enabled": True,
"configuration": {
"base_dir": "<string>",
"enable_save_file": True,
"enable_read_file": True,
"enable_list_files": True,
"enable_search_files": True,
"allowed_commands": ["<string>"],
"blocked_commands": ["<string>"],
"timeout": 123,
"enable_container_management": True,
"enable_image_management": True,
"enable_volume_management": True,
"enable_network_management": True,
"enable_code_execution": True,
"allowed_imports": ["<string>"],
"blocked_imports": ["<string>"],
"enable_json_generation": True,
"enable_csv_generation": True,
"enable_pdf_generation": True,
"enable_txt_generation": True,
"output_directory": "<string>",
"max_diagram_size": 123,
"enable_flowchart": True,
"enable_sequence": True,
"enable_class_diagram": True,
"enable_er_diagram": True,
"enable_gantt": True,
"enable_pie_chart": True,
"enable_state_diagram": True,
"enable_git_graph": True,
"enable_user_journey": True,
"enable_quadrant_chart": True,
"workflow_type": "<string>",
"workflow_definition": "<string>",
"python_dsl_code": "<string>",
"validation_enabled": True,
"default_runner": "<string>",
"custom_class": "<string>",
"custom_config": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
description: '<string>',
icon: 'Wrench',
enabled: true,
configuration: {
base_dir: '<string>',
enable_save_file: true,
enable_read_file: true,
enable_list_files: true,
enable_search_files: true,
allowed_commands: ['<string>'],
blocked_commands: ['<string>'],
timeout: 123,
enable_container_management: true,
enable_image_management: true,
enable_volume_management: true,
enable_network_management: true,
enable_code_execution: true,
allowed_imports: ['<string>'],
blocked_imports: ['<string>'],
enable_json_generation: true,
enable_csv_generation: true,
enable_pdf_generation: true,
enable_txt_generation: true,
output_directory: '<string>',
max_diagram_size: 123,
enable_flowchart: true,
enable_sequence: true,
enable_class_diagram: true,
enable_er_diagram: true,
enable_gantt: true,
enable_pie_chart: true,
enable_state_diagram: true,
enable_git_graph: true,
enable_user_journey: true,
enable_quadrant_chart: true,
workflow_type: '<string>',
workflow_definition: '<string>',
python_dsl_code: '<string>',
validation_enabled: true,
default_runner: '<string>',
custom_class: '<string>',
custom_config: {}
}
})
};

fetch('https://control-plane.kubiya.ai/api/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "enabled": true,
  "configuration": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Body

application/json
name
string
required

Skill name

type
string
required

Skill type (file_system, shell, docker, python, etc.)

description
string | null

Skill description

icon
string | null
default:Wrench

Icon name

enabled
boolean
default:true

Whether skill is enabled

configuration
ToolSetConfiguration · object

Configuration for a skill

Response

Successful Response

id
string
required
organization_id
string
required
name
string
required
type
string
required
description
string | null
required
icon
string
required
enabled
boolean
required
configuration
Configuration · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required